#pragma once

#include "ScriptletContainerFactory.h"
#include "ContainerScriptletPlugin.h"
#include "ImageProxy.h"
#include "Application.h"

class NPCOMMONUI_API C8ImageFrameDrawScriptletPlugin : public CContainerScriptletPlugin
{
public:
	DECLARE_REGISTER_SCRIPTLETCOMPONENTPLUGIN_CREATOR(C8ImageFrameDrawScriptletPlugin);
	C8ImageFrameDrawScriptletPlugin(void);
	~C8ImageFrameDrawScriptletPlugin(void);

	//override
	BOOL ModifyComponent(CContainer* pParent, CComponent* pTarget, TiXmlElement* pNode);
	CComponent* _CreateComponent(TiXmlElement* pNode);

	//operation
	virtual IImage* LoadImage(LPCTSTR pszcValue) 
	{ 
		//return NULL;
		return Application::LoadImage(pszcValue); 
	}
};
